// When color definition differs for dark and light variant,
// it gets @if ed depending on $variant

$monet_light_color: #ffffff;
$monet_dark_color: #000000;
$monet_osd_fg_color: #dae5da;
$monet_osd_bg_color: #162116;
$monet_base_color: #162116;
$monet_selected_bg_color: #3dcc65;
$monet_success_color: #33d17a;
$monet_destructive_color: #e01b24;

$base_color: if($variant == 'light', $monet_light_color, lighten(desaturate($monet_base_color, 1%), 2%));
$bg_color: if($variant == 'light', #f6f5f4, darken(desaturate($monet_osd_bg_color, 1%), 4%));
$fg_color: if($variant == 'light', #2e3436, $monet_osd_fg_color);

$selected_fg_color: $monet_light_color;
$selected_bg_color: if($variant == 'light', $monet_selected_bg_color, darken($monet_selected_bg_color, 10%));
$selected_borders_color: if($variant== 'light', darken($selected_bg_color, 15%), darken($selected_bg_color, 30%));
$borders_color: if($variant == 'light', darken($bg_color, 18%), darken($bg_color, 8%));
$borders_edge: if($variant == 'light', rgba(255,255,255,0.8), transparentize($fg_color, 0.93));
$link_color: if($variant == 'light', darken($selected_bg_color, 10%), lighten($selected_bg_color, 20%));
$link_visited_color: if($variant == 'light', darken($selected_bg_color, 20%), lighten($selected_bg_color, 10%));
$top_hilight: $borders_edge;

$warning_color: #f57900;
$error_color: #ff8080;
$success_color: if($variant == 'light', $monet_success_color, darken($monet_success_color, 10%));
$destructive_color: if($variant == 'light', $monet_destructive_color, darken($monet_destructive_color, 10%));

$osd_fg_color: $monet_osd_fg_color;
$osd_text_color: $monet_light_color;
$osd_bg_color: transparentize(darken(desaturate($monet_osd_bg_color, 1%), 12%),0.04);
$osd_insensitive_bg_color: transparentize(mix($osd_fg_color, opacify($osd_bg_color, 1), 10%), 0.5);
$osd_insensitive_fg_color: mix($osd_fg_color, opacify($osd_bg_color, 1), 50%);
$osd_borders_color: transparentize($monet_dark_color, 0.3);
$osd_outer_borders_color: transparentize($monet_light_color, 0.84);

$shadow_color: if($variant == 'light', rgba(0,0,0,0.1), rgba(0,0,0,0.2));
$system_bg_color: desaturate($monet_base_color,1%); //neutralize the HIG color

//insensitive state derived colors
$insensitive_fg_color: mix($fg_color, $bg_color, 50%);
$insensitive_bg_color: mix($bg_color, $base_color, 60%);
$insensitive_borders_color: mix($borders_color, $base_color, 60%);

//colors for the backdrop state, derived from the main colors.
$backdrop_base_color: if($variant =='light', darken($base_color,1%), lighten($base_color,1%));
$backdrop_bg_color: $bg_color;
$backdrop_fg_color: mix($fg_color, $backdrop_bg_color, 10%);
$backdrop_insensitive_color: if($variant =='light', darken($backdrop_bg_color,15%), lighten($backdrop_bg_color,15%));
$backdrop_borders_color: mix($borders_color, $bg_color, 90%);
$backdrop_dark_fill: mix($backdrop_borders_color,$backdrop_bg_color, 35%);

